<%@ page language="C#" autoeventwireup="true" inherits="general_finance_Finance_Edit, CrmCommand" %>
<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="head1" runat="server">
    <title>修改财务信息</title>
    <base target=_self></base>
     <script  src="../../Javascript/Trim.js" type="text/javascript">
    </script>
    <script src="../../Javascript/CheckALL.js" type="text/javascript"></script>
       <script src="../../Javascript/canlendar.js" type="text/javascript"></script>
       <script src="../../Javascript/formCheck.js" type="text/javascript"></script>
    <script language=javascript type="text/javascript">
    function Rtrim()
    {
    
      var  TxtContract_Num=document.getElementById("TxtContract_Num").value;
      var  TxtFinance_Money=document.getElementById("TxtFinance_Money").value;
      var  TxtClientName=document.getElementById("TxtClientName").value;
      var TxtContact_Name=document.getElementById("TxtContact_Name").value;
      if(!Trim(TxtContract_Num))
      {
        alert('合同编号不能为空!');
        return false;
        
      }
      else if(!Trim(TxtClientName))
      {
         alert('客户名称不能为空!');
        return false;
      }
      else if(!Trim(TxtContact_Name))
      {
        alert('付款联系人不能为空!');
        return false;
      }
      else if(!Trim(TxtFinance_Money))
      {
        alert('收入金额不能为空!');
        return false;
      }
      else if(!isMath(TxtFinance_Money))
      {
        alert("收入金额必须为数字!");
        return false;
      }
      else
      {
         return true;
      }
    }
    </script>
    
</head>
<body class ="bodycolor" leftmargin="0" topmargin="0">
    <form id="form1" runat="server" >
    <table style="width: 400px" cellspacing="1" align="center" bgcolor="black">
	<tr>
		<td class="TableData" style="width: 85px">合同编号:</td>
		<td class="TableData"><asp:TextBox ID="TxtContract_Num" runat="server" CssClass="BigInput"></asp:TextBox>
			</td>
	</tr>
	<tr>
		<td class="TableData" style="width: 85px">客户名称:</td>
		<td class="TableData">
                        <asp:TextBox ID="TxtClientName" runat="server" CssClass="BigInput"></asp:TextBox>
			</td>
	</tr>
	<tr>
		<td class="TableData" style="width: 85px">收入金额:</td>
		<td class="TableData"><asp:TextBox ID="TxtFinance_Money" runat="server" CssClass="BigInput"></asp:TextBox>
			</td>
	</tr>
	<tr>
		<td class="TableData" style="width: 85px">付款方式:</td>
		<td class="TableData">
                        <asp:TextBox ID="TxtPayMethod" runat="server" CssClass="BigInput"></asp:TextBox>
			</td>
	</tr>
	<tr>
		<td class="TableData" style="width: 85px">付款联系人:</td>
		<td class="TableData"><asp:TextBox ID="TxtContact_Name" runat="server" CssClass="BigInput"></asp:TextBox>
			</td>
	</tr>
	<tr>
		<td class="TableData" style="width: 85px">流水帐号:</td>
		<td class="TableData"><asp:TextBox ID="TxtFinance_Proof" runat="server" CssClass="BigInput"></asp:TextBox>
			</td>
	</tr>
	<tr>
		<td class="TableData" style="width: 85px">记帐日期:</td>
		<td class="TableData">
			<table style="width: 100%" cellspacing="0" cellpadding="0">
				<tr>
					<td style="width: 133px">
					<input ID="TxtFinance_Date" runat="server" CssClass="BigInput" readonly />
					
					</td>
					<td class="TableData"><img
                            onclick='popUpCalendar(document.getElementById("TxtFinance_Date"), document.getElementById("TxtFinance_Date"), "yyyy-mm-dd")'
                            src="../../App_Themes/Green/images/Calendar.gif" /></td>
				</tr>
			</table>
			</td>
	</tr>
	<tr>
		<td class="TableData" style="width: 85px">付款日期: </td>
		<td class="TableData">
			<table style="width: 100%" cellspacing="0" cellpadding="0">
				<tr>
					<td class="TableData"style="width: 133px">
					<input ID="TxtPayData" runat="server" CssClass="BigInput" readonly />
                        
					</td>
					<td class="TableData"><img
                            onclick='popUpCalendar(document.getElementById("TxtPayData"), document.getElementById("TxtPayData"), "yyyy-mm-dd")'
                            src="../../App_Themes/Green/images/Calendar.gif" /></td>
				</tr>
			</table>
			</td>
	</tr>
	<tr>
		<td class="TableData" style="width: 85px">说明:&nbsp;</td>
		<td class="TableData">
                        <asp:TextBox ID="TxtFinance_Remark" runat="server" CssClass="BigInput" Height="120px"
                            TextMode="MultiLine" Width="265px" BorderColor="Silver" BorderStyle="Solid" BorderWidth="1px"></asp:TextBox>
			</td>
	</tr>
	<tr>
		<td class="TableData" colspan="2" align="center">
                        <asp:Button ID="Button1" runat="server" CssClass="BigButton" 
                             Text="重新提交" OnClientClick="return Rtrim()" OnClick="Button1_Click" />
                        </td>
	</tr>
</table>
 <div id="ShowJs" runat="Server"> </div>
        </form>
</body>
</html>
